package de.oaa.xxx.location.repository;

import de.oaa.xxx.location.entity.LocationFollowEntity;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;
import java.util.Optional;
import java.util.UUID;

public interface LocationFollowRepository extends JpaRepository<LocationFollowEntity, UUID> {
    Optional<LocationFollowEntity> findByUserIdAndLocationId(UUID userId, UUID locationId);
    List<LocationFollowEntity> findByUserId(UUID userId);
    void deleteByLocationId(UUID locationId);
}
